Prerequisites for Xendesktop Upgradation from 7.1 to 7.5

     Before starting Upgradation you should follow the below prerequisites 

  1. ISO file or setup file should be copied on local drive or network drive

  2. Servers must be in Correct Sequence while upgrading.

  3. Backup is very important, if any thing goes wrong then we can restore it back with backup. Recommendation : a. Snapshot backup b. Disk level ( Clone )

Note : Below is the sequence for Servers.

  1. Licence Server should be upgraded with 7.5
  2. StoreFront should be upgraded with 2.5
  3. Then DDC with 7.5

Supported operating systems:

Windows Server 2012 R2, Standard and Datacenter Editions
Windows Server 2012, Standard and Datacenter Editions
Windows Server 2008 R2 SP1, Standard, Enterprise, and Datacenter Editions

Requirements:

Disk space: 100 MB
Microsoft .NET Framework 3.5 SP1 (Windows Server 2008 R2 only)
Microsoft .NET Framework 4.5
Windows PowerShell 2.0 (included with Windows Server 2008 R2) or 3.0 (included with Windows Server 2012 R2 and Windows Server 2012)
Visual C++ 2005, 2008 SP1, and 2010 Redistributable packages

Database

Supported Microsoft SQL Server versions for the Site Configuration Database (which initially includes the Configuration Logging Database and the Monitoring Database):
Recommendation: Must use SQL 2012 with cluster (Always ON)
Note: Be very careful while giving Database name because if once the database name has been put, it can not be changed. Only Logging Database and Monitoring Database can be changed.
  • SQL Server 2012 SP1, Express, Standard, and Enterprise Editions. By default, SQL Server 2012 Express is installed when installing the Controller, if an existing supported SQL Server installation is not detected.
  • SQL Server 2008 R2 SP2, Express, Standard, Enterprise, and Datacenter Editions.
The following database features are supported (except SQL Server Express, which supports only standalone mode):

  • SQL Server Clustered Instances
  • SQL Server Mirroring
  • SQL Server 2012 AlwaysOn Availability Groups

Windows authentication is required for connections between the Controller and the SQL Server database.

Studio
Supported operating systems:

Windows 8.1, Professional and Enterprise Editions
Windows 8, Professional and Enterprise Editions
Windows 7 Professional, Enterprise, and Ultimate Editions
Windows Server 2012 R2, Standard and Datacenter Editions
Windows Server 2012, Standard and Datacenter Editions
Windows Server 2008 R2 SP1, Standard, Enterprise, and Datacenter Editions

Requirements:
Disk space: 75 MB
Microsoft .NET Framework 3.5 SP1 (Windows Server 2008 R2 and Windows 7 only)
Microsoft .NET Framework 4.5
Microsoft Management Console 3.0 (included with all supported operating systems)
Windows PowerShell 2.0 (included with Windows 7 and Windows Server 2008 R2) or 3.0 (included with Windows 8.1, Windows 8, Windows Server 2012 R2, and Windows Server 2012)

Director
Supported operating systems:

Windows Server 2012 R2, Standard and Datacenter Editions
Windows Server 2012, Standard and Datacenter Editions
Windows Server 2008 R2 SP1, Standard, Enterprise, and Datacenter Editions
Requirements:
Disk space: 50 MB.
Microsoft .NET Framework 4.5.
Microsoft Internet Information Services (IIS) 7.0 and ASP.NET 2.0. If these are not already installed, you are prompted for the Windows Server installation media, then they are installed for you.
Supported browsers for viewing Director:
Internet Explorer 11, 10, and 9.
Compatibility mode is not supported for Internet Explorer. You must use the recommended browser settings to access Director. When you install Internet Explorer, accept the default to use the recommended security and compatibility settings. If you already installed the browser and chose not to use the recommended settings, go to Tools > Internet Options > Advanced > Reset and follow the instructions.